package ru.yandex.autotests.directapi.apiclient.methods;

/**
 * Created with IntelliJ IDEA.
 * User: mariabye
 * Date: 20.05.13
 * Time: 17:52
 * Available API methods through all versions
 */
public enum Method {
    AD_IMAGE("AdImage"),
    AD_IMAGE_ASSOCIATION("AdImageAssociation"),
    GET_NORMALIZED_KEYWORDS("GetNormalizedKeywords"),
    GET_NORMALIZED_KEYWORDS_DATA("GetNormalizedKeywordsData"),
    GET_RETARGETING_GOALS("GetRetargetingGoals"),
    RETARGETING_CONDITION("RetargetingCondition"),
    CREATE_OR_UPDATE_CAMPAIGN("CreateOrUpdateCampaign"),
    GET_AVAILABLE_VERSIONS("GetAvailableVersions"),
    GET_CAMPAIGNS_LIST("GetCampaignsList"),
    DELETE_CAMPAIGN("DeleteCampaign"),
    CREATE_OR_UPDATE_BANNERS("CreateOrUpdateBanners"),
    GET_BANNERS("GetBanners"),
    PING_API("PingAPI"),
    PING_API_X("PingAPI_X"),
    DELETE_BANNERS("DeleteBanners"),
    GET_SUB_CLIENTS("GetSubClients"),
    GET_CLIENT_INFO("GetClientInfo"),
    GET_CAMPAIGN_PARAMS("GetCampaignParams"),
    GET_BANNER_PHRASES("GetBannerPhrases"),
    GET_BANNER_PHRASES_FILTER("GetBannerPhrasesFilter"),
    GET_BALANCE("GetBalance"),
    GET_REGIONS("GetRegions"),
    GET_RUBRICS("GetRubrics"),
    GET_CHANGES("GetChanges"),
    UNARCHIVE_BANNERS("UnArchiveBanners"),
    ARCHIVE_BANNERS("ArchiveBanners"),
    MODERATE_BANNERS("ModerateBanners"),
    STOP_BANNERS("StopBanners"),
    RESUME_BANNERS("ResumeBanners"),
    ARCHIVE_CAMPAIGN("ArchiveCampaign"),
    UNARCHIVE_CAMPAIGN("UnArchiveCampaign"),
    STOP_CAMPAIGN("StopCampaign"),
    RESUME_CAMPAIGN("ResumeCampaign"),
    GET_CAMPAIGNS_PARAMS("GetCampaignsParams"),
    GET_STAT_GOALS("GetStatGoals"),
    CREATE_NEW_SUBCLIENT("CreateNewSubclient"),
    GET_CAMPAIGNS_LIST_FILTER("GetCampaignsListFilter"),
    GET_METRO_STATIONS("GetMetroStations"),
    GET_REPORT_LIST("GetReportList"),
    GET_WORDSTAT_REPORT_LIST("GetWordstatReportList"),
    GET_FORECAST_LIST("GetForecastList"),
    UPDATE_CLIENT_INFO("UpdateClientInfo"),
    GET_CLIENTS_LIST("GetClientsList"),
    GET_CREDIT_LIMITS("GetCreditLimits"),
    CREATE_INVOICE("CreateInvoice"),
    PAY_CAMPAIGNS("PayCampaigns"),
    PAY_CAMPAIGNS_BY_CARD("PayCampaignsByCard"),
    TRANSFER_MONEY("TransferMoney"),
    CREATE_NEW_WORDSTAT_REPORT("CreateNewWordstatReport"),
    DELETE_WORDSTAT_REPORT("DeleteWordstatReport"),
    DELETE_FORECAST_REPORT("DeleteForecastReport"),
    CREATE_NEW_FORECAST("CreateNewForecast"),
    GET_FORECAST_SYNC("GetForecastSync"),
    GET_CLIENTS_UNITS("GetClientsUnits"),
    GET_VERSION("GetVersion"),
    GET_TIME_ZONES("GetTimeZones"),
    GET_FORECAST("GetForecast"),
    DELETE_REPORT("DeleteReport"),
    UPDATE_CAMPAIGNS_TAGS("UpdateCampaignsTags"),
    UPDATE_BANNERS_TAGS("UpdateBannersTags"),
    GET_BANNERS_TAGS("GetBannersTags"),
    GET_CAMPAIGNS_TAGS("GetCampaignsTags"),
    SAVE_SUBSCRIPTION("SaveSubscription"),
    DELETE_SUBSCRIPTION("DeleteSubscription"),
    GET_SUBSCRIPTION("GetSubscription"),
    GET_SUMMARY_STAT("GetSummaryStat"),
    ADD_EVENTS("AddEvents"),
    SET_AUTO_PRICE("SetAutoPrice"),
    UPDATE_PRICES("UpdatePrices"),
    GET_EVENTS_LOG("GetEventsLog"),
    SEARCH_CLIENTS("SearchClients"),
    FAKE_CAMPAIGN_PARAMS("FakeCampaignParams"),
    FAKE_BANNER_PARAMS("FakeBannerParams"),
    FAKE_CLIENT_PARAMS("FakeClientParams"),
    FAKE_GET_CLIENT_PARAMS("FakeGetClientParams"),
    FAKE_CREATE_REPORT_QUEUE("FakeCreateReportQueue"),
    GET_WORDSTAT_SYNC("GetWordstatSync"),
    FAKE_BALANCE_NOTIFICATION("FakeBalanceNotification"),
    FAKE_MODERATE_ITERATION("FakeModerateIteration"),
    GET_WORDSTAT_REPORT("GetWordstatReport"),
    UPDATE_CAMPAIGN("updateCampaign"),
    RETARGETING("Retargeting"),
    RESHARD_USER("ReshardUser"),
    GET_USER_SHARD("GetUserShard"),
    GET_KEYWORDS_INTERSECTION("GetKeywordsIntersection"),
    FAKE_GET_BANNER_PARAMS("FakeGetBannerParams"),
    FAKE_GET_CAMPAIGN_PARAMS("FakeGetCampaignParams"),
    FAKE_PHRASES_PARAMS("FakePhrasesParams"),
    FAKE_GET_PHRASES_PARAMS("FakeGetPhrasesParams"),
    FAKE_CONVERT_CURRENCY_CLIENT("FakeConvertCurrencyClient"),
    FAKE_FREEDOM_ACCOUNTS_TURN_ON_OFF("FakeFreedomAccountsTurnOnOff"),
    FAKE_GET_GROUP_PARAMS("FakeGetGroupParams"),
    FAKE_GROUP_PARAMS("FakeGroupParams"),
    FAKE_MOVE_CAMPAIGN_TO_BEGIN_OF_FAST_BS_QUEUE("FakeMoveCampaignToBeginOfFastBsQ"),
    FAKE_REMOVE_CAMPAIGN_FROM_FAST_BS_QUEUE("FakeRemoveCampaignFromFastBsQ"),
    ACCOUNT_MANAGEMENT("AccountManagement"),
    FAKE_SET_ALLOW_BUDGET_ACCOUNT_FOR_AGENCY("FakeSetAllowBudgetAccountForAgency"),
    ENABLE_SHARED_ACCOUNT("EnableSharedAccount"),
    GET_KEYWORDS_SUGGESTION("GetKeywordsSuggestion"),
    GET_OFFLINE_REPORT_LIST("GetOfflineReportList"),
    REARRANGE_KEYWORDS("RearrangeKeywords"),
    CREATE_CAMPAIGNS_IN_BALANCE("CreateCampaignsInBalance"),
    FAKE_BALANCE_NOTIFICATION_NDS("FakeBalanceNotificationNDS"),
    KEYWORD("Keyword"),
    CHECK_PAYMENT("CheckPayment");

    private final String methodName;


    Method(String methodName) {
        this.methodName = methodName;
    }

    @Override
    public String toString() {
        return this.methodName;
    }
}
